# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/ConfigParser.pm) perl(Apache/FakeTable.pm) perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Class/Accessor.pm) perl(Cwd.pm) perl(Data/Compare.pm) perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(HTTP/Headers.pm) perl(HTTP/Response.pm) perl(IO/Scalar.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Module/Loaded.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(YAML/Tiny.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Mock-Apache
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: mock Apache environment for testing and debugging
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AN/ANDREWF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Mock::Apache' is a mock framework for testing and debugging mod_perl
1.x applications.  Although that version of mod_perl is obsolete, there
is still a lot of legacy code that uses it.  The framework is intended
to assist in understanding such code, by enabling it to be run and
debugged outside of the web server environment.  The framework
provides a tracing facility that prints all methods called, optionally
with caller information.

`Mock::Apache' is based on `Apache::FakeRequest' but goes beyond
that module, attempting to provide a relatively comprehensive mocking
of the mod_perl environment.

NOTE: the module is still very much at an alpha stage, with much of
the Apache::* classes missing, and much of the emulation incomplete or
probably just wrong.

I am aiming to provide top-level methods to "process a request", by
giving the mock apache object enough information about the
configuration to identify handlers, etc.  Perhaps passing the
server_setup method the pathname of an Apache configuration file even
and minimally "parsing" it.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO README
%perl_vendor_privlib/M*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

